# Set NFT as Profile Picture

Use the functionality below to allow users to change their PFP from your own front-end.&#x20;

```
function createSetProfilePictureTransaction (ownerPublicKey: PublicKey, mintPublicKey: PublicKey, tokenAccountPublicKey: PublicKey): Promise<Transaction>
```

**Params**

* `ownerPublicKey` - The public key of the wallet
* `mintPublicKey` - The public key of the NFT's mint
* `tokenAccountPublicKey` - The public key of the token account that holds the NFT

**Return value**

A Web3 Transaction object


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.solflare.com/solflare/technical/profile-picture-protocol/set-nft-as-profile-picture.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
